// creator  : weidu.exe (version 23100)
// argument : DRADEE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DRADEE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #20993 /* ~All I need to know is where Imoen is.  I can handle the rest on my own.~ */
  IF ~~ THEN REPLY #20994 /* ~Very well, here it is.~ */ GOTO 1
  IF ~~ THEN REPLY #20995 /* ~I don't have that much... how am I supposed to raise such a fare?~ */ GOTO 2
  IF ~~ THEN REPLY #20996 /* ~It's too much to ask when I don't even know who will be getting it.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #20997 /* ~When I was last in the Copper Coronet, I remember a man tellin' of trouble in Trademeet.  Perhaps ye should speak to the boy, if ye have nay already.~ */
  IF ~~ THEN REPLY #20998 /* ~Come to thinkin' of it, there's always work in the Coronet for those seekin' adventure and mercenary work of one kind or another. Ask about there.~ */ GOTO 4
  IF ~~ THEN REPLY #20999 /* ~Other than that, there's always be a bit o' intrigue with the thieves near the Docks District.  Perhaps try hirin' yourself out to one of the guilds.~ */ GOTO 5
  IF ~~ THEN REPLY #21000 /* ~You mentioned selling some of my goods... Where is a good place to do it?~ */ GOTO 6
  IF ~~ THEN REPLY #21076 /* ~Valygar, this hatred that you hold inside you is truly unhealthy.  It is akin to the rot in a tree trunk that will only weaken you in a time when you need to be strong.~ [CERND56] */ GOTO 7
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #21001 /* ~Very well, I'll be back with the coin.~ */
  IF ~~ THEN REPLY #21002 /* ~Never mind, I'll look for aid elsewhere.~ */ GOTO 6
  IF ~~ THEN REPLY #21003 /* ~Coo! There be many places to sell as well as buy.  Arledian upstairs is as good as any.  He may have a few items you need as well, I think.~ */ GOTO 8
  IF ~~ THEN REPLY #21004 /* ~Lost one point of constitution~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 23.2 14.1 8.1 7.1 6.2 5.2 4.3 2.2 0.2
  SAY #21005 /* ~Very well, I'll be back with the money.~ */
  IF ~~ THEN DO ~SetGlobal("DraTalk","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.0
  SAY #21006 /* ~Is there no help to be found elsewhere?~ */
  IF ~~ THEN REPLY #21007 /* ~Aye, I'll wait for it.~ */ GOTO 9
  IF ~~ THEN REPLY #21008 /* ~There be no aid elsewhere. Raise the coin or nay, ye'll come back, and I'll be waitin'. Ye may want to speak to Arledian upstairs, to help ye out.  Good luck.~ */ GOTO 5
  IF ~~ THEN REPLY #21009 /* ~Good business to ye once again, me <LADYLORD>.  I trust that ye have been changing yer mind, aye?~ */ GOTO 5
  IF ~~ THEN REPLY #21010 /* ~I would like to know how much aid from your friends will cost me.~ */ GOTO 3
END

IF ~~ THEN BEGIN 5 // from: 4.2 4.1 1.1
  SAY #21011 /* ~I would prefer it if you just told me where Imoen was. I can handle the rest.~ */
  IF ~~ THEN REPLY #21012 /* ~Yes, I have changed my mind.  I would like your help.~ */ GOTO 10
  IF ~~ THEN REPLY #21013 /* ~No, I haven't.  Excuse me.~ */ GOTO 6
  IF ~~ THEN REPLY #21014 /* ~Coo!  'Tis grand to be seeing ye again, my friend <CHARNAME>.  Ye have barely begun to put together yer coin, though... is there aught that ye be needin' help with?~ */ GOTO 3
END

IF WEIGHT #2 /* Triggers after states #: 30 even though they appear after this state */
~Global("DraTalk","GLOBAL",1)
Global("DraUnquest","GLOBAL",0)~ THEN BEGIN 6 // from: 8.0 5.1 2.0 1.2
  SAY #21015 /* ~I need more help finding work.  Do you know of anything?~ */
  IF ~~ THEN REPLY #21016 /* ~No, thanks, I'll be back.~ */ GOTO 12
  IF ~~ THEN REPLY #21017 /* ~Hm.  I can scarce be thinking of more than I have already told ye, me <LADYLORD>.  There are a few places one can be going to find work, I do think.~ */ GOTO 10
  IF ~~ THEN REPLY #21018 /* ~Are ye sure ye tried the Copper Coronet? I remember a boy from Umar Hills looking for help, and a messenger from Trademeet, as well. There are others, surely.~ */ GOTO 3
END

IF ~~ THEN BEGIN 7 // from: 1.3
  SAY #21019 /* ~I remember seeing a girl named Nalia too... she be lookin' for mercenaries to aid her.  If ye have not helped her, I think she be at the Copper Coronet too.~ */
  IF ~~ THEN REPLY #21020 /* ~The churches need aid too, they do.  Sometimes they work against each other, an' with this strange Unseeing Eye business they may need aid there, too, aye?~ */ GOTO 8
  IF ~~ THEN REPLY #21021 /* ~I can be thinking of naught else, me <LADYLORD>. I am sure there must be work for an adventurer such as ye. Best be on it, as well. Good business to ye.~ */ GOTO 3
  IF ~~ THEN REPLY #21022 /* ~As ye be wishing, I'll wait here for ye.~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 7.0 2.1
  SAY #21023 /* ~Greetings to ye, me <LADYLORD>.  I see ye're a fair way into gatherin' the fee for me friends, aye?  A good thing, too.  Is there somethin' that ye be needin'?~ */
  IF ~~ THEN REPLY #21024 /* ~I need more help finding work.  Do you know of anything?~ */ GOTO 6
  IF ~~ THEN REPLY #21025 /* ~I don't think so.  I'll be on my way.~ */ GOTO 3
END

IF ~~ THEN BEGIN 9 // from: 4.0
  SAY #21026 /* ~I am sorry I could not release you earlier.~ */
  IF ~~ THEN REPLY #21027 /* ~I've a few pains from that incident myself, though I'm not as certain of the cause.~ */ GOTO 12
  IF ~~ THEN REPLY #21028 /* ~And is there some reason I should have to suffer by hearing you whine about it?~ */ GOTO 15
END

IF ~~ THEN BEGIN 10 // from: 6.1 5.0
  SAY #21029 /* ~Coo!  I see yer almost there, but not quite, aye?  Is there somethin' that ye needed from me?~ */
  IF ~~ THEN REPLY #21030 /* ~I need more help finding work.  Do you know of anything?~ */ GOTO 13
  IF ~~ THEN REPLY #21031 /* ~I don't think so.  I'll be on my way.~ */ GOTO 14
  IF ~~ THEN REPLY #21032 /* ~Coo!  Ye be already above 15,000, and need go no further. My masters changed their hearts, and they will accept 15,000 alone. It is a competitive rate, I think.~ */ GOTO 12
END

IF ~~ THEN BEGIN 11 // from: 22.2 7.2
  SAY #21033 /* ~Yes, here you go.~ */
  IF ~~ THEN REPLY #21034 /* ~No, I'm not ready to go just yet.  I'll be back.~ */ GOTO 16
  IF ~~ THEN REPLY #21035 /* ~Well, as ye wishes.  I can be standing here a bit longer, I can.~ */ GOTO 27
  IF ~~ THEN REPLY #21036 /* ~Very good. Just so you be knowing, you be goin' to the Shadowmaster Aran Linvail. Step carefully, me <LADYLORD>, the Shadowmaster does not suffer fools gladly.~ [GAELEN32] */ GOTO 15
END

IF ~~ THEN BEGIN 12 // from: 10.2 9.0 6.0
  SAY #21037 /* ~Ye've been seen with dangerous folk... dangerous folk indeed. I be askin' ye a question and ye be answerin' it truthfully or be suffering the consequences.~ [GAELEN30] */
  IF ~~ THEN REPLY #21095 /* ~I cower before nothing!  I merely showed caution before approaching Lavok... someone possessing far more power than you!~ */ GOTO 17
  IF ~~ THEN REPLY #21096 /* ~You call that caution?  Quivering in a forest?  Lavok could have dealt with you in a second, if he chose.  And it would only take me a second longer.~ */ GOTO 23
  IF ~~ THEN REPLY #21097 /* ~We shall see!~ */ GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 10.0
  SAY #21038 /* ~This person ye was seen with... have ye joined forces with her?~ */
  IF ~~ THEN REPLY #21039 /* ~Yes, I have.~ */ GOTO 14
  IF ~~ THEN REPLY #21040 /* ~Yes, I have.~ */ GOTO 14
  IF ~~ THEN REPLY #21041 /* ~No, I haven't.~ */ GOTO 24
END

IF ~~ THEN BEGIN 14 // from: 24.1 13.1 13.0 10.1
  SAY #21042 /* ~No, I haven't.~ */
  IF ~~ THEN REPLY #21043 /* ~Well, then.  Learn what happens to fools who double-cross the Shadow Thieves!~ */ GOTO 16
  IF ~~ THEN REPLY #21044 /* ~Liar!  Ye were a fool to return here, and even more a fool to double-cross the Shadow Thieves!~ */ GOTO 3
  IF ~~ THEN REPLY #21045 /* ~Eh?  I have a spell here that be saying that ye be lying.  This is no time to be tellin' Gaelan jokes, me <LADYLORD>.  No time, indeed!~ */ GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 24.2 22.1 16.2 12.2 11.2 9.1
  SAY #21046 /* ~Coo!  Good!  It is good to be seeing that there are those who tell the truth, even here in this city, aye?~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 29.0 22.0 14.2 14.0 11.0
  SAY #21047 /* ~I am satisfied that ye have not joined the wench.  Be wary o' her, me <LADYLORD>. She's a dangerous one. Is there somethin' that ye be needin' then, aye?~ */
  IF ~~ THEN REPLY #21048 /* ~Jaguar~ */ JOURNAL #22920 /* ~~ */ GOTO 25
  IF ~~ THEN REPLY #21049 /* ~Jaguar~ */ JOURNAL #22920 /* ~~ */ GOTO 27
  IF ~~ THEN REPLY #21050 /* ~I need more help finding work.  Do you know of anything?~ */ JOURNAL #22923 /* ~~ */ GOTO 15
END

IF ~~ THEN BEGIN 17 // from: 23.0 12.0
  SAY #21051 /* ~I have the money, now.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #21052 /* ~No, not right now.  I shall return.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #21053 /* ~Bodhi said the Shadow Thieves are behind the 'assistance' you give. Is it true?~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #21054 /* ~Either ye wants the help or ye don't.  There is nothing else in Athkatla that can be helping ye.  So does ye have the coin to pay for our help or nay?~ */
  IF ~~ THEN GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #21055 /* ~No, I don't have the fee right now.~ */
  IF ~~ THEN JOURNAL #22924 /* ~The Final Battle with Bodhi.

While I had feared for some time that Bodhi's final revenge on me would be to take away Jaheira forever, it seems that the information in the lorebook was right... Amaunator's idol has restored Jaheira not only to life, but has removed the vampiric curse from her, as well.~ */ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #21056 /* ~Yes, I do.~ */
  IF ~~ THEN REPLY #21058 /* ~Well, ye'll receive help nowhere else.  I'll be waitin' here until ye does have the fee, then.~ */ GOTO 16
  IF ~~ THEN REPLY #21059 /* ~As ye wish, but the witch will nay take ye, I reckon, and there's no help elsewhere. I shall be sittin' here until ye change yer mind and collects the fee, aye?~ */ GOTO 15
  IF ~~ THEN REPLY #21060 /* ~A fair day to you, my <LADYLORD>.  I am afraid I can do no business with you until Gaelan wills it, however.~ */ GOTO 11
END

IF ~~ THEN BEGIN 23 // from: 12.1
  SAY #21057 /* ~I've no interest in working with the Shadow Thieves!~ */
  IF ~~ THEN REPLY #21061 /* ~I understand I must give you access to my wares.  My sources vary, and I will not name them, but if you wish to purchase, I am sure we can come to an arrangement.~ */ GOTO 17
  IF ~~ THEN REPLY #21062 /* ~Alright.  Let's take a look at what you have.~ */ GOTO 26
  IF ~~ THEN REPLY #21063 /* ~I'm not interested in anything that you have.~ */ GOTO 3
END

IF ~~ THEN BEGIN 24 // from: 13.2
  SAY #21064 /* ~An excellent choice, my <LADYLORD>.  You'll find that I offer many things not to be found elsewhere in Athkatla... and if they are, you'll not find them at a lower price.~ */
  IF ~~ THEN REPLY #21065 /* ~I am sure that is not true, my <LADYLORD>.  All of my goods are of interest either for their rarity or their low price.  But you may certainly do as you wish.  Good business to you.~ */ GOTO 26
  IF ~~ THEN REPLY #21066 /* ~I am afraid that, today, you must speak first to Gaelan before we can perform any transactions.~ */ GOTO 14
  IF ~~ THEN REPLY #21067 /* ~~ */ GOTO 15
END

IF ~~ THEN BEGIN 25 // from: 16.0
  SAY #21068 /* ~~ */
  IF ~~ THEN DO ~SetGlobal("DraQuest","GLOBAL",1)
GiveItem("amul18",LastTalkedToBy)~ JOURNAL #22920 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 26 // from: 24.0 23.1
  SAY #21069 /* ~~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 27 // from: 29.1 16.1 11.1
  SAY #21070 /* ~It's nothing to be impressed by, old friend.  Something learned after years in the scouts facing off against the wild dangers that nature and magic have thrown at me.~ [VALYGA63] */
  IF ~~ THEN DO ~SetGlobal("DraTalk","GLOBAL",1)
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 30 even though they appear after this state */
~Global("DraQuest","GLOBAL",1)
!PartyHasItem("misc1f")~ THEN BEGIN 28 // from:
  SAY #21071 /* ~I've noticed, Valygar, that you are quite the adept fighter.  I'm afraid I cannot help but compliment you on this.~ [CERND55] */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 30 even though they appear after this state */
~Global("DraUnquest","GLOBAL",1)~ THEN BEGIN 29 // from:
  SAY #21072 /* ~Still, it is a skill that has served you well, no?~ */
  IF ~~ THEN REPLY #21073 /* ~It has served to keep me alive, Cernd, but otherwise it has served me not at all.  I would rather be a man of peace and nature as yourself.~ */ GOTO 16
  IF ~~ THEN REPLY #21074 /* ~Ah, but even I have been forced to fight on occasion.  And had you not your skill with the sword, you would have not escaped the Cowled Wizards, would you?~ */ GOTO 27
END

IF WEIGHT #1 ~PartyHasItem("misc1f")~ THEN BEGIN 30 // from:
  SAY #21075 /* ~I suppose that's true.~ */
  IF ~~ THEN DO ~SetGlobal("dradeelhelp","GLOBAL",1)
TakePartyItem("misc1f")
ForceSpell(Myself,DRYAD_TELEPORT)
AddexperienceParty(5000)
~ JOURNAL #24077 /* ~If you put it that way, I suppose not. What did you have in mind?~ */ EXIT
END
